﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;

namespace SilverlightApplication1
{
	public partial class MainPage : UserControl
	{
		public MainPage()
		{
			InitializeComponent();
		}

		private void ComboBox_SelectionChanged(object sender, SelectionChangedEventArgs e)
		{
			Random random = new Random(DateTime.Now.Millisecond);

			double randomNumber1 = random.NextDouble();
			double randomNumber2 = random.NextDouble();

			double selectionStart = Math.Min(randomNumber1, randomNumber2);
			double selectionEnd = Math.Max(randomNumber1, randomNumber2);

			slider.SelectionStart = 0.0;
			slider.SelectionEnd = 0.0;

			slider.SelectionEnd = selectionEnd;
			slider.SelectionStart = selectionStart;

			generatedSelectionStart.Text = selectionStart.ToString();
			generatedSelectionEnd.Text = selectionEnd.ToString();

			if (slider.SelectionStart == selectionStart && slider.SelectionEnd == selectionEnd)
			{
				info.Text = "SUCCESS";
			}
			else
			{
				info.Text = "FAIL";
			}
		}
	}
}
